Bug 144780 - Switching to VT from X does not work
Switching to VT from X does not work
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-11 10:05 EST by Emil Jerabek
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: Fedora Core 4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-30 03:30:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org (Old) 3280 None None None Never

  None (edit)
Description Emil Jerabek 2005-01-11 10:05:06 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
When XkbCompat "group_led" is in effect, the X server ignores
Ctrl-Alt-Fn keys which should switch to another VT.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.put a line
        Option      "XkbCompat" "group_led"
in Section "InputDevice" of /etc/X11/xorg.conf
2.start or restart X
3.hit Ctrl-Alt-F1
    

Actual Results:  nothing happens

Expected Results:  VT 1 should show up

Additional info:

The problem can be fixed by putting a line
    augment "xfree86"
into /etc/X11/xkb/compat/group_led
Comment 1 Mike A. Harris 2005-02-11 15:07:21 EST
If this issue turns out to still be reproduceable in the latest
version of xorg-x11-6.8.2 in rawhide, please file a bug report in
the X.Org bugzilla located at http://bugs.freedesktop.org in the
"xorg" component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes
that become available for consideration in future updates.
Comment 2 Mike A. Harris 2005-02-11 15:18:35 EST
Setting status to "NEEDINFO", awaiting xorg 6.8.2 test results, and
X.Org bug report URL for tracking.
Comment 3 Mike A. Harris 2005-04-15 03:20:35 EDT
If this issue has been reported to X.org, please provide the bug
URL, and we will track the issue as indicated above.
Comment 4 John Reiser 2005-05-12 15:09:05 EDT
At http://bugs.freedesktop.org, bug #2991 and bug #3280 appear to be directly
related (switching to VT from X does not work), although perhaps do not include
the "group_led" aspect.
Comment 5 Mike A. Harris 2005-08-30 03:29:46 EDT
https://bugs.freedesktop.org/show_bug.cgi?id=2991 doesn't appear to be
related to this bug in any way that I can see.  Removing it from the
bug list...
Comment 6 Mike A. Harris 2005-08-30 03:30:20 EDT
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

        http://fedora.redhat.com/download

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Setting status to "CURRENTRELEASE".

Note You need to log in before you can comment on or make changes to this bug.